quat_interpolate(3)

NAME
quat_interpolate

SYNOPSIS
#include <allegro.h>

void quat_interpolate(const QUAT *from, *to, float t, QUAT *out);

DESCRIPTION
Constructs a quaternion that represents a rotation between from and to. The argument t can be anything between 0 and 1 and represents where between from and to the result will be. 0 returns from, 1 returns to, and 0.5 will return a rotation exactly in between. The result is copied to out. This function will create the short rotation (less than 180 degrees) between from and to.

SEE ALSO
exquat(3)